Bug 630299 - (ghc-wai) Review Request: ghc-wai - Web Application Interface
Review Request: ghc-wai - Web Application Interface
Status: CLOSED DUPLICATE of bug 736602
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
notready
:
Depends On: ghc-http-types
Blocks: ghc-wai-extra Haskell-pkg-reviews 748701
  Show dependency treegraph
 
Reported: 2010-09-04 13:09 EDT by Ben Boeckel
Modified: 2011-10-25 03:07 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-08 04:18:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2010-09-04 13:09:48 EDT
Spec URL: http://benboeckel.net/packaging/ghc-wai/ghc-wai.spec
SRPM URL: http://benboeckel.net/packaging/ghc-wai/ghc-wai-0.2.0-1.fc14.src.rpm
Description:
Provides a common protocol for communication between web
applications and web servers.

% lintmock fedora-14-x86_64-bb
ghc-wai.src: W: strange-permission wai-0.2.0.tar.gz 0640L
ghc-wai.src: W: strange-permission ghc-wai.spec 0640L
ghc-wai-prof.x86_64: E: devel-dependency ghc-wai-devel
ghc-wai-prof.x86_64: W: no-documentation
ghc-wai-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/wai-0.2.0/libHSwai-0.2.0_p.a
4 packages and 0 specfiles checked; 1 errors, 4 warnings.
Comment 1 Ben Boeckel 2010-10-30 18:23:27 EDT
Spec URL: http://benboeckel.net/packaging/ghc-wai/ghc-wai.spec
SRPM URL: http://benboeckel.net/packaging/ghc-wai/ghc-wai-0.2.2-1.fc14.src.rpm

% lintmock fedora-14-x86_64-bb                                                                                                                                                                                            -
ghc-wai.src: W: strange-permission ghc-wai.spec 0640L
ghc-wai.src: W: strange-permission wai-0.2.2.tar.gz 0640L
ghc-wai-prof.x86_64: E: devel-dependency ghc-wai-devel
ghc-wai-prof.x86_64: W: no-documentation
ghc-wai-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/wai-0.2.2/libHSwai-0.2.2_p.a
4 packages and 0 specfiles checked; 1 errors, 4 warnings.
Comment 2 Jens Petersen 2011-01-28 10:34:06 EST
Latest wai for yesod is 0.2.2.1.
Comment 3 Jens Petersen 2011-01-28 10:45:02 EST
Wai is really fast btw: http://docs.yesodweb.com/blog/announcing-warp/
Comment 4 Jens Petersen 2011-02-15 09:19:49 EST
yesed-0.7 needs wai 0.3 btw.
Comment 5 Jens Petersen 2011-03-22 05:30:51 EDT
Any plans to update the package?
Comment 6 Jens Petersen 2011-03-27 22:46:57 EDT
Please also update to cabal2spec-0.22.5.
Comment 7 Jens Petersen 2011-05-02 03:08:23 EDT
I can pick this up again when it is ready.
Comment 9 Jens Petersen 2011-06-26 21:04:53 EDT
Thanks

ghc_arches is now available in all current releases so you use it.
Comment 10 Jens Petersen 2011-06-27 03:29:41 EDT
Sorry meant:

> ghc_arches is now available in all current releases so you *can* use it.
Comment 11 Jens Petersen 2011-06-30 03:31:56 EDT
(In reply to comment #8)
> Spec URL: http://benboeckel.net/packaging/ghc-wai/ghc-wai.spec

I think you are missing BRs for the dependencies:
ghc-blaze-builder-prof, etc.

wai >= 0.4.0 needs http-types.

> SRPM URL: http://benboeckel.net/packaging/ghc-wai/ghc-wai-0.4.0-1.fc16.src.rpm

I don't have permission to access to access the srpm.
Comment 12 Jens Petersen 2011-09-08 04:18:47 EDT

*** This bug has been marked as a duplicate of bug 736602 ***

Note You need to log in before you can comment on or make changes to this bug.